[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#323032: libc6: GLIBC_PRIVATE errors



please, please note this is not on the currently installed libc6, but
on the current glibc 2.3.5 packages, as i couldn't even run reportbug 
if it was installed. 

this is what i got during the locales 2.3.5-3 install:

Setting up locales (2.3.5-3) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_TIME = "fr_CA.UTF-8",
        LC_MONETARY = "fr_CA.UTF-8",
        LC_CTYPE = "en_CA.UTF-8",
        LC_COLLATE = "C",
        LC_ADDRESS = "en_CA.UTF-8",
        LC_TELEPHONE = "en_CA.UTF-8",
        LC_MESSAGES = "en_CA.UTF-8",
        LC_NAME = "en_CA.UTF-8",
        LC_MEASUREMENT = "fr_CA.UTF-8",
        LC_IDENTIFICATION = "en_CA.UTF-8",
        LC_NUMERIC = "en_CA.UTF-8",
        LC_PAPER = "en_CA.UTF-8",
        LANG = "en_CA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
/usr/bin/perl: relocation error: /lib/libdl.so.2: symbol _dl_catch_error, version GLIBC_PRIVATE not defined in file ld.so.1 with link time reference
dpkg: error processing locales (--configure):
 subprocess post-installation script returned error exit status 127

the GLIBC_PRIVATE errors happened even after setting my shell's locale to C.



-- 
make zImage, not war.

Attachment: pgpLF3fwXtU1Q.pgp
Description: PGP signature


Reply to: